Subject: Re: bug#74879: 30.0.92; trusted-content-p and trusted-files cannot be used for non-file buffers

From: Ihor Radchenko <[email-masked]>
Date: Tue, 17 Dec 2024 17:38:12 +0000

Stefan Kangas <[email-masked]> writes:

>>> org-latex-preview in org.el still checks for untrusted-content
>>> directly though, I wonder if it'd make sense for it to check for
>>> trusted-content-p instead.
>>
>> I can't remember the details of the `org-latex-preview` situation, so
>> I'll say tentatively "probably".
>
> Ihor, WDYT?

I am happy to use whatever you decide to be the API.
For a moment, I am not sure if the API is final. For example,
`trusted-content-p' is not defined on master.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>